Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 709418 - games-strategy/freeorion-0.4.9 version bump
Summary: games-strategy/freeorion-0.4.9 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal with 1 vote (vote)
Assignee: Adam Feldman
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-12 19:47 UTC by Oleg
Modified: 2020-04-11 11:20 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg 2020-02-12 19:47:12 UTC
0.4.9 stable release is out

Reproducible: Always
Comment 1 Cyp 2020-04-07 09:03:50 UTC
Current version games-strategy/freeorion-0.4.8_p20190501-r1 in portage doesn't seem to build with dev-libs/boost-1.72.0-r1. Don't know whether or not this is fixed in 0.4.9 or whether this should be in a separate bug report, but here's the first few of the errors I'm getting with 0.4.8_p20190501-r1:

/var/tmp/portage/games-strategy/freeorion-0.4.8_p20190501-r1/work/freeorion-2a49c05796f1c92b96ce9b2aeaf0124fc8be7a77/GG/src/Texture.cpp: In member function ‘void GG::Texture::Load(const boost::filesystem::path&
, bool)’:
/var/tmp/portage/games-strategy/freeorion-0.4.8_p20190501-r1/work/freeorion-2a49c05796f1c92b96ce9b2aeaf0124fc8be7a77/GG/src/Texture.cpp:232:25: error: ‘vector4’ in namespace ‘boost::mpl’ does not name a templat
e type
  232 |     typedef boost::mpl::vector4<
      |                         ^~~~~~~
/var/tmp/portage/games-strategy/freeorion-0.4.8_p20190501-r1/work/freeorion-2a49c05796f1c92b96ce9b2aeaf0124fc8be7a77/GG/src/Texture.cpp:238:28: error: ‘ImageTypes’ was not declared in this scope
  238 |     typedef gil::any_image<ImageTypes> ImageType;
      |                            ^~~~~~~~~~
/var/tmp/portage/games-strategy/freeorion-0.4.8_p20190501-r1/work/freeorion-2a49c05796f1c92b96ce9b2aeaf0124fc8be7a77/GG/src/Texture.cpp:238:38: error: template argument 1 is invalid
  238 |     typedef gil::any_image<ImageTypes> ImageType;
      |                                      ^
/var/tmp/portage/games-strategy/freeorion-0.4.8_p20190501-r1/work/freeorion-2a49c05796f1c92b96ce9b2aeaf0124fc8be7a77/GG/src/Texture.cpp:253:86: error: no matching function for call to ‘read_image(std::string&, 
ImageType&, boost::gil::image_read_settings<boost::gil::png_tag>)’
  253 |             gil::read_image(filename, image, gil::image_read_settings<gil::png_tag>());
      |                                                                                      ^
In file included from /usr/include/boost/gil/extension/io/png/read.hpp:25,
Comment 2 Oleg 2020-04-07 09:24:46 UTC
I was fixed in https://github.com/freeorion/freeorion/pull/2644 and is part of 0.4.9 release
Comment 3 Larry the Git Cow gentoo-dev 2020-04-09 20:55:20 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06326b0fdc05012bd0548ac53a136b0f95979c33

commit 06326b0fdc05012bd0548ac53a136b0f95979c33
Author:     Adam Feldman <NP-Hardass@gentoo.org>
AuthorDate: 2020-04-09 20:39:15 +0000
Commit:     Adam Feldman <NP-Hardass@gentoo.org>
CommitDate: 2020-04-09 20:55:12 +0000

    games-strategy/freeorion: Bump to 0.4.9
    
    Closes: https://bugs.gentoo.org/709418
    Closes: https://bugs.gentoo.org/716030
    Package-Manager: Portage-2.3.96, Repoman-2.3.21
    Signed-off-by: Adam Feldman <NP-Hardass@gentoo.org>

 games-strategy/freeorion/Manifest                  |  1 +
 .../freeorion/freeorion-0.4.9_p20200409.ebuild     | 82 ++++++++++++++++++++++
 games-strategy/freeorion/freeorion-9999.ebuild     |  6 +-
 3 files changed, 86 insertions(+), 3 deletions(-)
Comment 4 Oleg 2020-04-11 11:20:52 UTC
Why it uses something excluding https://github.com/freeorion/freeorion/releases ?